4 berichten aan het bekijken - 1 tot 4 (van in totaal 4)
  • Q:
    Bijdrager
    fibe

    Ghostscript versie achterhalen?

    Ik stel deze vraag ivm mijn imagemagick probleem.

    Ik las net ergens dat iemand hetzelfde probleem had doordat php een andere versie van GhostScirpt zou gebruiken dan de Terminal. Dus mijn vragen zijn:

    – hoe kom ik erachter welke versie van ghostscript door php gebruikt wordt?
    – én, hoe doe ik een uninstall van de oude versie?

    Bijdrager
    Jakko Westerbeke

    Ik heb zelf geen Ghostscript op m’n computer staan, maar zou dit niet werken?
    [code:1:23db015dfc]gs -V[/code:1:23db015dfc]
    of anders
    [code:1:23db015dfc]gs –version[/code:1:23db015dfc]
    (Aangenomen dat “gs” Ghostscript start.)

    Bijdrager
    fibe

    Dat doet hij inderdaad. Het lastige is dat ik gimp-print heb geïnstalleerd en die automatisch een versie van ghostscript installeert. Volgens mij wordt die versie gebruikt door PHP, maar ik kan dus niet achterhalen welke versie dat is.

    De versie die ik heb geïnstalleerd en die via de terminal dus wel werkt is 8.54.
    Maar die bij gimp-print komt is veel ouder…

    Hoe zou ik daarachter kunnen komen?

    Bijdrager
    Jakko Westerbeke

    Ik ben niet thuis in PHP, maar kun je daarin geen shellcommando’s uitvoeren? Zo ja, doe dat dan dus met “gs -V”, en laat hem de uitkomst op je beeld zetten:)

4 berichten aan het bekijken - 1 tot 4 (van in totaal 4)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.